diff --git a/app-crypt/tpm2-openssl/Manifest b/app-crypt/tpm2-openssl/Manifest
new file mode 100644
index 0000000000..f6034158c9
--- /dev/null
+++ b/app-crypt/tpm2-openssl/Manifest
@@ -0,0 +1 @@
+DIST tpm2-openssl-1.1.0.tar.gz 415118 BLAKE2B c82410b1694b5db3e7b6614b1c4e2eef7354c87574334e1e81631bba707398e3d33d975dba2f2cbbf1b09d90f8ae94e7f01531c98b1efd666ca43298a02ead0a SHA512 a57e25d8efcbaa3a898a2803d816169e4227466f9391e5dc7c80a44686865cae0c24ee1973c6376d86d5be8081850f7b35cd0d4cb0b3a8cf654d400d78ae383b
diff --git a/app-crypt/tpm2-openssl/metadata.xml b/app-crypt/tpm2-openssl/metadata.xml
new file mode 100644
index 0000000000..fdd29c016a
--- /dev/null
+++ b/app-crypt/tpm2-openssl/metadata.xml
@@ -0,0 +1,12 @@
+
+
+
+
+ salah.coronya@gmail.com
+ Christopher Byrne
+
+
+ proxy-maint@gentoo.org
+ Proxy Maintainers
+
+
diff --git a/app-crypt/tpm2-openssl/tpm2-openssl-1.1.0.ebuild b/app-crypt/tpm2-openssl/tpm2-openssl-1.1.0.ebuild
new file mode 100644
index 0000000000..ac786eeec1
--- /dev/null
+++ b/app-crypt/tpm2-openssl/tpm2-openssl-1.1.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="OpenSSL Provider for TPM2 integration"
+
+HOMEPAGE="https://github.com/tpm2-software/tpm2-openssl"
+SRC_URI="https://github.com/tpm2-software/tpm2-openssl/releases/download/${PV}/${P}.tar.gz"
+LICENSE="BSD"
+
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+
+# Needs IBM's software TPM simulator, which isn't in Portage
+RESTRICT="test"
+
+RDEPEND=">=app-crypt/tpm2-tss-3.2.0:=
+ =dev-libs/openssl-3.0*:0="
+
+BDEPEND="sys-devel/autoconf-archive
+ virtual/pkgconfig"
+
+src_prepare() {
+ # See bug #833887 (and similar); eautoreconf means version information
+ # could be incorrectly embedded
+
+ sed -i \
+ "s/m4_esyscmd_s(\[git describe --tags --always --dirty\])/${PV}/" \
+ "${S}/configure.ac" || die
+ eautoreconf
+ default
+}
+
+src_install() {
+ default
+ find ${ED} -iname \*.la -delete
+
+ # No libtool files are install, so nothing to check for bug #833887
+}
diff --git a/profiles/package.mask b/profiles/package.mask
index 8cc1d3aefa..c0005fa2fd 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -9,6 +9,10 @@
# TODO: Either fix per profile masking in overlays, or move
# relevant entries to the relevant package.mask files in ::gentoo
+# Christopher Byrne (2022-04-15)
+# Depends on masked dev-libs/openssl-3.0.*
+app-crypt/tpm2-openssl
+
# Adrian Schollmeyer (2022-03-15)
# Package will be removed after 2022-04-15 from ::guru, since it is no longer
# being used by net-im/abaddon and has no other reverse dependencies.